Skip to main content
Resource Center/Resource Pool/VM Instance Operations
POSTVM Instance OperationsSince 4.4.6SynchronousAuth Required

ExportVmOvaPackage

ExportVmOvaPackage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • nameString

    Optional. The resource name.

  • descriptionString

    Optional. The resource description.

  • vmUuidStringRequired

    The VM UUID.

  • backupStorageUuidStringRequired

    The backup storage UUID.

  • resourceUuidString

    Optional. The resource UUID.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVmInstanceInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • vmUuidStringRequired

      The source VM UUID.

    • backupStorageUuidStringRequired

      The backup storage UUID.

    • exportUrlStringRequired

      The download address.

    • md5SumStringRequired

      The MD5 sum of the image package.

    • formatStringRequired

      The image package format.

    • sizeLongRequired

      The image package size.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

    • stateImagePackageStateRequired

      See state.

      • ExportingImagePackageStateRequired

        The image package is exporting.

      • ExportedImagePackageStateRequired

        The image package is exported.

Endpoint

POST/zstack/v1/ovf/ova-packages

/zstack/v1/ovf/ova-packages

Operation ID

ExportVmOvaPackage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/ovf/ova-packages' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","vmUuid":"<vmUuid>","backupStorageUuid":"<backupStorageUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "9f77f8d79ee138bfac21290c02fc2cb6", "name": "ova", "description": "description", "vmUuid": "43d306a42cdf38c48458d061e40b810a", "backupStorageUuid": "22f7145dba4f3da6af7ff8f0e02af6e3", "state": "Exported", "exportUrl": "http://bs-host-name/path/to/ova.ova", "md5Sum": "sampleMd5Sum", "format": "OVA", "size": 1.073741824E10, "createDate": "May 10, 2022 5:24:03 AM", "lastOpDate": "May 10, 2022 5:24:03 AM" } }

Change History

This API has no change history records yet.

View all change history